Skip to main content
POST
/
project
/
v1
/
customers
Create a customer
curl --request POST \
  --url https://api-{region}.sesametime.com/project/v1/customers \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "customerName": "<string>",
  "firstName": "<string>",
  "lastName": "<string>",
  "email": "jsmith@example.com",
  "phone": "<string>",
  "description": "<string>"
}
'
{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "customerName": "<string>",
    "firstName": "<string>",
    "lastName": "<string>",
    "email": "jsmith@example.com",
    "phone": "<string>",
    "description": "<string>",
    "createdAt": "2020-01-01T10:00:00+01:00",
    "updatedAt": "2020-01-01T10:00:00+01:00",
    "deletedAt": "2020-01-01T10:00:00+01:00"
  },
  "meta": {
    "currentPage": 1,
    "lastPage": 1,
    "total": 1,
    "perPage": 1
  }
}

Authorizations

Authorization
string
header
required

API token obtained from Sesame HR Dashboard > Settings > Integrations > API

Body

application/json

Customer object that needs to be updated

companyId
string<uuid>
required

The id of the company where you will create the customer

customerName
string
required

The name of the customer

firstName
string

The first name of the contact person

lastName
string

The last name of the contact person

email
string<email>

The email of the contact person

phone
string

The phone of the contact person

description
string

A description

Response

200 - application/json

Object

data
object
meta
object